5.1.1.15. Stopwatch - Start and Stop Timer
Prev | 5.1.1. Actions that execute behavior | Next

#### 5.1.1.15. Stopwatch - Start and Stop Timer

Start Timer

- Use this action to start a timer (stopwatch).

- You name the timer and enter a variable which saves the current time (in milliseconds since the January 1st 1970).

- You can read timers and compare values between starting and reading timers using other actions.

- This action is useful for measuring how long your AUT takes to execute certain actions.

- Parameters:

  - Timer Name

  - Timer Value Variable Name

Read Timer

- Use this action to read a timer (stopwatch).

- You enter the name of the timer you want to read and enter a variable which saves the difference (in milliseconds) between the current time and the time at which the timer was started.

- You can start timers and compare values between starting and reading timers using other actions.

- This action is useful for measuring how long your AUT takes to execute certain actions.

- Parameters:

  - Timer Name

  - Timer Value Variable Name

| You must have used the actionStart timer at least once in your test to use this action.